name: Build latest image
on:
  push:
    branches:
      - main

jobs:
  build-container:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4
        with:
          fetch-depth: 0
      - name: Login to registry
        uses: docker/login-action@v3
        with:
          registry: registry.odit.services
          username: ${{ vars.REGISTRY_USERNAME }}
          password: ${{ secrets.REGISTRY_PASSWORD }}
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3
      - name: Build and push
        uses: docker/build-push-action@v6
        with:
          push: true
          tags: |
            ${{ vars.REGISTRY }}/niggl/kubecon25:latest
            ${{ vars.REGISTRY }}/niggl/kubecon25:${{ gitea.run_number }}
          platforms: linux/amd64,linux/arm64
